<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:25:52 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ConfigureInstanceDialog (org.eclipse.papyrus.designer.transformation.ui 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigureInstanceDialog (org.eclipse.papyrus.designer.transformation.ui 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigureInstanceDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/AllocationDialog.html" title="class in org.eclipse.papyrus.designer.transformation.ui.dialogs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/GenerationOptionsDialog.html" title="class in org.eclipse.papyrus.designer.transformation.ui.dialogs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html" target="_top">Frames</a></li>
<li><a href="ConfigureInstanceDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.jface.window.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.transformation.ui.dialogs</div>
<h2 title="Class ConfigureInstanceDialog" class="title">Class ConfigureInstanceDialog</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.jface.window.Window</li>
<li>
<ul class="inheritance">
<li>org.eclipse.jface.dialogs.Dialog</li>
<li>
<ul class="inheritance">
<li>org.eclipse.jface.dialogs.TrayDialog</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.dialogs.SelectionDialog</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.dialogs.SelectionStatusDialog</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.transformation.ui.dialogs.ConfigureInstanceDialog</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.jface.window.IShellProvider</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConfigureInstanceDialog</span>
extends org.eclipse.ui.dialogs.SelectionStatusDialog</pre>
<div class="block">Select container rules, either from a list of globally defined rules or from
 local rules which may be created "on the fly" by this dialog.

 TODO: extend rule application to instances (problematic, since rules
 transformation is done on type level)</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>org.eclipse.jface.window.Window.IExceptionHandler</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Combo</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#fComboValue">fComboValue</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Text</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#fDescription">fDescription</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Label</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#fDescriptionLabel">fDescriptionLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.jface.viewers.TreeViewer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#fInstanceList">fInstanceList</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.jface.viewers.TableViewer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#fPropertyList">fPropertyList</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Text</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#fValue">fValue</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Label</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#fValueLabel">fValueLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#m_component">m_component</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#m_currentAttribute">m_currentAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Feature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#m_feature">m_feature</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#m_instance">m_instance</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Package</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#m_model">m_model</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#m_rulePropertiesOnly">m_rulePropertiesOnly</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#valueLabelPrefix">valueLabelPrefix</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Package&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#visitedPackages">visitedPackages</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.jface.dialogs.Dialog">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.jface.dialogs.Dialog</h3>
<code>blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>CANCEL, OK, resizeHasOccurred</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#ConfigureInstanceDialog-org.eclipse.swt.widgets.Shell-">ConfigureInstanceDialog</a></span>(org.eclipse.swt.widgets.Shell&nbsp;parent)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#addSpaces-java.lang.String-">addSpaces</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</code>
<div class="block">Add a space before and after</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#checkAndGetInstances--">checkAndGetInstances</a></span>()</code>
<div class="block">retrieve the instance list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#computeResult--">computeResult</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.swt.widgets.Control</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#createDialogArea-org.eclipse.swt.widgets.Composite-">createDialogArea</a></span>(org.eclipse.swt.widgets.Composite&nbsp;parent)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#createInstanceConfigurationGroup-org.eclipse.swt.widgets.Composite-">createInstanceConfigurationGroup</a></span>(org.eclipse.swt.widgets.Composite&nbsp;parent)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#createInstanceSelectionGroup-org.eclipse.swt.widgets.Composite-">createInstanceSelectionGroup</a></span>(org.eclipse.swt.widgets.Composite&nbsp;parent)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#init-org.eclipse.uml2.uml.Class-org.eclipse.core.commands.ExecutionEvent-">init</a></span>(org.eclipse.uml2.uml.Class&nbsp;component,
    org.eclipse.core.commands.ExecutionEvent&nbsp;from)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#init-org.eclipse.uml2.uml.Feature-org.eclipse.core.commands.ExecutionEvent-">init</a></span>(org.eclipse.uml2.uml.Feature&nbsp;feature,
    org.eclipse.core.commands.ExecutionEvent&nbsp;from)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#init-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.core.commands.ExecutionEvent-">init</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
    org.eclipse.core.commands.ExecutionEvent&nbsp;from)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html#selectProperty-org.eclipse.uml2.uml.Property-">selectProperty</a></span>(org.eclipse.uml2.uml.Property&nbsp;attribute)</code>
<div class="block">Select a rule, i.e.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.dialogs.SelectionStatusDialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.dialogs.SelectionStatusDialog</h3>
<code>configureShell, create, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.dialogs.SelectionDialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.dialogs.SelectionDialog</h3>
<code>createButtonsForButtonBar, createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.jface.dialogs.TrayDialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.jface.dialogs.TrayDialog</h3>
<code>closeTray, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.jface.dialogs.Dialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.jface.dialogs.Dialog</h3>
<code>applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="m_component">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_component</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Class m_component</pre>
</li>
</ul>
<a name="fDescriptionLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fDescriptionLabel</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Label fDescriptionLabel</pre>
</li>
</ul>
<a name="fDescription">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fDescription</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Text fDescription</pre>
</li>
</ul>
<a name="fInstanceList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fInstanceList</h4>
<pre>protected&nbsp;org.eclipse.jface.viewers.TreeViewer fInstanceList</pre>
</li>
</ul>
<a name="fPropertyList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fPropertyList</h4>
<pre>protected&nbsp;org.eclipse.jface.viewers.TableViewer fPropertyList</pre>
</li>
</ul>
<a name="m_currentAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_currentAttribute</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Property m_currentAttribute</pre>
</li>
</ul>
<a name="valueLabelPrefix">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueLabelPrefix</h4>
<pre>protected final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> valueLabelPrefix</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.ui.dialogs.ConfigureInstanceDialog.valueLabelPrefix">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="fValueLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fValueLabel</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Label fValueLabel</pre>
</li>
</ul>
<a name="fValue">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fValue</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Text fValue</pre>
</li>
</ul>
<a name="fComboValue">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fComboValue</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Combo fComboValue</pre>
</li>
</ul>
<a name="m_model">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_model</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Package m_model</pre>
</li>
</ul>
<a name="m_feature">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_feature</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Feature m_feature</pre>
</li>
</ul>
<a name="visitedPackages">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitedPackages</h4>
<pre>protected&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Package&gt; visitedPackages</pre>
</li>
</ul>
<a name="m_rulePropertiesOnly">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_rulePropertiesOnly</h4>
<pre>protected&nbsp;boolean m_rulePropertiesOnly</pre>
</li>
</ul>
<a name="m_instance">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_instance</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.InstanceSpecification m_instance</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConfigureInstanceDialog-org.eclipse.swt.widgets.Shell-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConfigureInstanceDialog</h4>
<pre>public&nbsp;ConfigureInstanceDialog(org.eclipse.swt.widgets.Shell&nbsp;parent)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-org.eclipse.uml2.uml.Class-org.eclipse.core.commands.ExecutionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;boolean&nbsp;init(org.eclipse.uml2.uml.Class&nbsp;component,
                    org.eclipse.core.commands.ExecutionEvent&nbsp;from)</pre>
</li>
</ul>
<a name="init-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.core.commands.ExecutionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;boolean&nbsp;init(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                    org.eclipse.core.commands.ExecutionEvent&nbsp;from)</pre>
</li>
</ul>
<a name="init-org.eclipse.uml2.uml.Feature-org.eclipse.core.commands.ExecutionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;boolean&nbsp;init(org.eclipse.uml2.uml.Feature&nbsp;feature,
                    org.eclipse.core.commands.ExecutionEvent&nbsp;from)</pre>
</li>
</ul>
<a name="checkAndGetInstances--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkAndGetInstances</h4>
<pre>public&nbsp;boolean&nbsp;checkAndGetInstances()</pre>
<div class="block">retrieve the instance list. Returns false, if no deployment plan could be found.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeResult--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeResult</h4>
<pre>protected&nbsp;void&nbsp;computeResult()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>computeResult</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.dialogs.SelectionStatusDialog</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>SelectionStatusDialog.computeResult()</code></dd>
</dl>
</li>
</ul>
<a name="createDialogArea-org.eclipse.swt.widgets.Composite-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDialogArea</h4>
<pre>public&nbsp;org.eclipse.swt.widgets.Control&nbsp;createDialogArea(org.eclipse.swt.widgets.Composite&nbsp;parent)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createDialogArea</code>&nbsp;in class&nbsp;<code>org.eclipse.jface.dialogs.Dialog</code></dd>
</dl>
</li>
</ul>
<a name="createInstanceSelectionGroup-org.eclipse.swt.widgets.Composite-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInstanceSelectionGroup</h4>
<pre>protected&nbsp;void&nbsp;createInstanceSelectionGroup(org.eclipse.swt.widgets.Composite&nbsp;parent)</pre>
</li>
</ul>
<a name="createInstanceConfigurationGroup-org.eclipse.swt.widgets.Composite-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInstanceConfigurationGroup</h4>
<pre>protected&nbsp;void&nbsp;createInstanceConfigurationGroup(org.eclipse.swt.widgets.Composite&nbsp;parent)</pre>
</li>
</ul>
<a name="selectProperty-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectProperty</h4>
<pre>protected&nbsp;void&nbsp;selectProperty(org.eclipse.uml2.uml.Property&nbsp;attribute)</pre>
<div class="block">Select a rule, i.e. update the visual representation from the rule</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rule</code> - </dd>
</dl>
</li>
</ul>
<a name="addSpaces-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addSpaces</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;addSpaces(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</pre>
<div class="block">Add a space before and after</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigureInstanceDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/AllocationDialog.html" title="class in org.eclipse.papyrus.designer.transformation.ui.dialogs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/GenerationOptionsDialog.html" title="class in org.eclipse.papyrus.designer.transformation.ui.dialogs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/ui/dialogs/ConfigureInstanceDialog.html" target="_top">Frames</a></li>
<li><a href="ConfigureInstanceDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.jface.window.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
